Bug 485459 - rhn-custom-info Talking to Non-Existent RPC URL
rhn-custom-info Talking to Non-Existent RPC URL
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Devan Goodwin
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-13 12:09 EST by Devan Goodwin
Modified: 2009-09-17 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-02-13 12:09:52 EST
Running rhn-custom-info results in an error for missing WEBRPC URL.

Actual results:

[root@centos1 ~]# rhn-custom-info -l -u admin -p PASSWORD
Traceback (most recent call last):
  File "/usr/bin/rhn-custom-info", line 257, in ?
    main()
  File "/usr/bin/rhn-custom-info", line 225, in main
    session = s.auth.login(options.username, options.password)
  File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 593, in __call__
    return self._send(self._name, args)
  File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 323, in _request
    raise pe
xmlrpclib.ProtocolError: <ProtocolError for 192.168.1.40 /WEBRPC/api: 404 Not Found>


Additional info:

Appears that this should be trying to talk to /rpc/api instead, may be related to recent changes to get away from satellite-httpd. Changing the url in /usr/bin/rhn-custom-info gets past this issue.
Comment 3 Devan Goodwin 2009-03-26 11:47:01 EDT
Verified in spacewalk 0.5.
Comment 4 Jesus M. Rodriguez 2009-04-14 10:13:06 EDT
Spacewalk 0.5 released.
Comment 5 Miroslav Suchý 2009-09-17 03:10:22 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.